Name:           mplayerplug-in
Version:        2.80
Release:        0.%{mysig}
Summary:        MPlayer plugin for Mozilla compatible browsers

Group:          Applications/Internet
License:        GPL
URL:            http://mplayerplug-in.sourceforge.net/
Source0:        http://download.sourceforge.net/mplayerplug-in/mplayerplug-in-%{version}.tar.gz
Source2:        README.mplayerplug-in
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  XFree86-devel mozilla-nspr-devel pkgconfig
BuildRequires:	gtk2-devel mozilla-devel >= 37:1.7.3
Requires:       mplayer >= 0.92
Requires:       %{_libdir}/mozilla/plugins

%description
This package contains a Mozilla browser plugin that makes it possible
to use the MPlayer movie player in Mozilla compatible browsers.

Please see the file README.Fedora in the documentation directory for
some notes on using this package.


%prep
%setup -q -n %{name}
cp %{SOURCE2} README.Fedora


%build
CFLAGS="$(dirname `pkg-config mozilla-nspr --cflags`)" %configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m 644 mplayerplug-in.conf $RPM_BUILD_ROOT%{_sysconfdir}/mplayerplug-in.conf
install -p -m 644 mplayerplug-in.types $RPM_BUILD_ROOT%{_sysconfdir}/mplayerplug-in.types
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins
install -p -m 755 mplayerplug-in.so $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla/components
install -p -m 644 mplayerplug-in.xpt $RPM_BUILD_ROOT%{_libdir}/mozilla/components


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README TODO README.Fedora DOCS/tech/javascript.txt
%config(noreplace) %{_sysconfdir}/mplayerplug-in.conf
%{_sysconfdir}/mplayerplug-in.types
%{_libdir}/mozilla/plugins/mplayerplug-in.so
%{_libdir}/mozilla/components/


%changelog
* Wed Sep 21 2005 Milan Kerslager <kerslage@linux.cz> 2.80-0.ker.rhel4
- rebuild for RHEL4 (package from http://rpm.livna.org/fedora/4/i386/SRPMS.lvn)

* Sun Mar  6 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:2.80-0.lvn.1
- Update to 2.80.
- Require %%{_libdir}/mozilla/plugins, not mozilla.
- Drop bitrotten mplayer-gui dependency and related files, require mplayer.
- Make mplayerplug-in.xpt non-executable.
- Bring README.Fedora up to date, include more docs.

* Sun Dec  5 2004 Dams <anvil[AT]livna.org> 0:2.70-0.lvn.1
- Updated to 2.70
- Added minimum mozilla version in buildreq

* Tue Mar 23 2004 Dams <anvil[AT]livna.org> 0:2.50-0.lvn.2
- Added missing gtk2-devel BuildRequires

* Mon Mar 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:2.50-0.lvn.1
- Updated to 2.50
- install the xpt component

* Tue Mar  9 2004 Dams <anvil[AT]livna.org> 0:2.45-0.lvn.2
- Updated Source tag

* Tue Mar  9 2004 Dams <anvil[AT]livna.org> 0:2.45-0.lvn.1
- Updated to 2.45

* Tue Feb 17 2004 Dams <anvil[AT]livna.org> 0:2.11-0.lvn.2
- Fixed build for old mozilla builds

* Tue Feb 17 2004 Dams <anvil[AT]livna.org> 0:2.11-0.lvn.1
- Updated to 2.11

* Thu Jan 22 2004 Dams <anvil[AT]livna.org> 0:1.2-0.lvn.1
- Updated to 1.2

* Sat Jan 17 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:1.1-0.fdr.1
- Updated to 1.1.
- Converted spec file to UTF-8.

* Wed Dec  3 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:1.0-0.fdr.1
- Updated to 1.0.

* Thu Oct 23 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:0.95-0.fdr.1
- Updated to 0.95.
- mplayerplug-in.conf now appears in the distribution; using it instead of our own.
- Install mplayerplug-in.types.
- Changed mplayer-gui req from 0:0.90 to 0:0.92.

* Thu Sep 11 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:0.91-0.fdr.1
- Update to 0.91.
- Preserve time stamps when installing files.

* Tue Sep  9 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:0.90-0.fdr.1
- Update to 0.90.
- Edited to match current template.

* Fri Jun 20 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:0.80-0.fdr.3
- Require mplayer-gui instead of mplayer (bug 312).

* Tue Jun  3 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:0.80-0.fdr.2
- Minor correction in README.Fedora file.
- Rebuild to get SRPMS permissions right.

* Fri May 23 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:0.80-0.fdr.1
- Updated to new upstream version 0.80.
- Added %{?_smp_mflags} to make.
- Use RPM_BUILD_ROOT and RPM_OPT_FLAGS instead of macros.
- Added README.Fedora.
- Added "mini" skin.
- Added configuration file.

* Wed Apr 16 2003 Warren Togami <warren@togami.com> 0:0.71-0.fdr.1
- Update to 0.71
- Add BuildRequires: XFree86-devel

* Wed Apr  9 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:0.70-0.fdr.1
- Initial Fedora RPM release.
